%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn xcase
%global shellfu_req shellfu >= 0.10.7, shellfu < 0.11.0
%global jat_req shellfu-bash-jat >= 0.2.0, shellfu-bash-jat < 0.3.0

Name:       shellfu-bash-xcase
Version:    0.0.15
Release:    1%{?dist}
Summary:    XCase - Shellfu/Bash/JAT data-driven testing mini-framework
URL:        https://gitlab.com/vornet/jats/shellfu-bash-xcase
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: make

Requires: %jat_req
Requires: %shellfu_req
Requires: shellfu-%{sfcompat}
Requires: shellfu-bash-pretty
%description
This Shellfu/Bash/JAT module aims to make it easier to build and maintain
reasonable test coverage based on various combinations od input factors.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh


%changelog

# specfile built with MKit 0.0.53
